Subject: Re: [ovs-dev] [GIT net-next] Open vSwitch

From: Zoltan Kiss <[email-masked]>
Date: Tue, 14 Jan 2014 12:31:06 +0000

On 14/01/14 09:46, Thomas Graf wrote:
> On 01/14/2014 02:30 AM, Jesse Gross wrote:
>>> And it works. I guess the last one causing the problem. Might be an
>>> important factor, I'm using 32 bit Dom0.
>>
>> I think you're probably right. Thomas - can you take a look?
>>
>> We shouldn't be doing any zerocopy in this situation but it looks to
>> me like we don't do any padding at all, even in situations where we
>> are copying the data.
>
> I'm looking into this now. The zerocopy method should only be attempted
> if user space has announced the ability to received unaligned messages.
>
> @Zoltan: I assume you are using an unmodified OVS 1.9.3?
>
Well, there are a few changes, but none of them seems to be significant. 
Most of them are just making OVS work with our build system. Here is the 
patchqueue:

https://github.com/xenserver/openvswitch.pg/tree/master/master

See the series file for the order of the patches.

Zoli